Bug Hunting Session
Bug 55295 - Terrible hang out of Windows explorer.exe when renaming/deleting/viewing file statistics
Summary: Terrible hang out of Windows explorer.exe when renaming/deleting/viewing file...
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.6.1.2 release
Hardware: x86-64 (AMD64) Windows (All)
: high normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 55467 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-09-24 22:12 UTC by admin
Modified: 2015-02-24 20:30 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description admin 2012-09-24 22:12:11 UTC
Problem description:
Writer or Calc files that contains large images makes that viewing of file statistics (RMB, properties, document statistics) tak very long time (15seconds on 3MB file). Renaming and deleting of file also hang out windows explorer for a long time. Happens in 3.6.0.4 and 3.6.1.2 releases.

Steps to reproduce:
1. create empty file with writer or calc
2. copy and paste some big images inside
3. save file and close libreoffice
4. open file properties and click 'document statistics' tab
5. try to rename file
6. try to delete it

Current behavior:
 Not normal long time of displaying statistics/deleting/renaming. Explorer.exe process achieve hight CPU values. In the call stack I found two suspected:
    ntdll.dll!ZwQueryInformationFile+0xa
    KERNELBASE.dll!SetFilePointer+0x6b

Expected behavior:
 Normal time of this functions (for other files it takes miliseconds)

Platform (if different from the browser): 
  Laptop Asus X53S
  Windows 7 Home Premium PL x64 SP1
  Intel Core i7
  8BG of RAM

              
Browser: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:15.0) Gecko/20100101 Firefox/15.0.1
Comment 1 Peter 2012-09-29 08:20:43 UTC
I've got the same result. I've made a 40MB (few full resolution photos) *.odt file and my "explorer.exe" process is hanging for couple of minutes (using 100% of CPU).
Comment 2 Peter 2012-09-29 08:44:02 UTC
My system:
LibreOffice 3.6.1.2
Windows 7 64-bit SP1
CPU: E6300 RAM: 4GB SSD: 80GB
Comment 3 sasha.libreoffice 2012-11-15 04:54:17 UTC
*** Bug 55467 has been marked as a duplicate of this bug. ***
Comment 4 bfoman (inactive) 2013-03-15 13:54:57 UTC
NEW as confirmed in comment 1.
Comment 5 QA Administrators 2015-02-19 15:44:57 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (4.4.0.3 or later): https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior

If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)

Thank you for your help!

-- The LibreOffice QA Team
This NEW Message was generated on: 2015-02-19
Comment 6 admin 2015-02-24 20:30:25 UTC
Bug is not present now.

Libreoffice version: 4.3.5.2

Platform: 
  Laptop Asus X53S
  Windows 7 Home Premium PL x64 SP1
  Intel Core i7
  8BG of RAM